# $Revision: 1.8 $, $Date: 2007/02/13 07:47:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Divert
Summary:	String::Divert - string object supporting folding and diversions
Summary(pl.UTF-8):	String::Divert - obiekt łańcucha obsługujący zwijanie i przekierowania
Name:		perl-String-Divert
Version:	0.96
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c574d757af76d55819d18654d1603b48
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Divert is small Perl 5 module providing a scalar-like string
object with some overloaded operators, supporting the concept of
"Folding" and "Diversion". This allows nested generation of structured
output. The idea is to decouple the sequential generation of output from
the nested and non-sequential structure of the output.

%description -l pl.UTF-8
String::Divert to mały moduł Perla 5 udostępniający podobny do skalara
obiekt łańcucha z paroma przeciążonymi operatorami, obsługujący ideę
"zwijania" i "przekierowywania". Pozwala to na zagnieżdżone
generowanie strukturalnego wyjścia. Idea polega na wyłączeniu
sekwencyjnego generowania wyjścia z zagnieżdżonej, niesekwencyjnej
struktury wyjścia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%{perl_vendorlib}/String/Divert.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Divert.spec,v $
Revision 1.8  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.6  2006/10/23 21:00:07  ankry
- ver. 0.96

Revision 1.5  2005/05/31 17:05:52  petec
- up to 0.94

Revision 1.4  2004/11/03 22:30:45  paladine
- formatting

Revision 1.3  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.2  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.1  2003/12/18 15:39:02  qboosh
- new

